DO $$
DECLARE
  shop_inTRONICS           int8 = (select id from oms."ShopDO" where "internalShopName"='inTRONICS');
  shop_inTRONICS_Business           int8 = (select id from oms."ShopDO" where "internalShopName"='inTRONICS_Business');
  supplier_inTRONICS_Florida_Warehouse       int8 = (select id from oms."SupplierDO" where "internalSupplierName"='inTRONICS_florida_warehouse');
  supplier_inTRONICS_Florida_Retailer       int8 = (select id from oms."SupplierDO" where "internalSupplierName"='inTRONICS_florida_retailer');
  supplier_inTRONICS_Texas_Warehouse int8 = (select id from oms."SupplierDO" where "internalSupplierName"='inTRONICS_texas_warehouse');
  supplier_inTRONICS_Texas_Retailer int8 = (select id from oms."SupplierDO" where "internalSupplierName"='inTRONICS_texas_retailer');
  supplier_inTRONICS_California_Warehouse    int8 = (select id from oms."SupplierDO" where "internalSupplierName"='inTRONICS_california_warehouse');
  supplier_inTRONICS_California_Retailer    int8 = (select id from oms."SupplierDO" where "internalSupplierName"='inTRONICS_california_retailer');
  supplier_Internal_Supplier    int8 = (select id from oms."SupplierDO" where "internalSupplierName"='bakery');

BEGIN

---- Shop2TaxTypeDefDO (Shop supports three types of taxation systems i.e. NoTax (taxTypeDefRef =1), ReducedTax (taxTypeDefRef = 3), FullTax(taxTypeDefRef = 5) from TaxTypeDefDO)

INSERT INTO "Shop2TaxTypeDefDO"("id", "shopTaxTypeName", "taxTypeDefRef", "shopRef", "modificationDate")
--shop_inTRONICS
    SELECT nextval('"Shop2TaxTypeDefDO_id_seq"'), 'NoTax',   1, shop_inTRONICS, now() UNION ALL
	SELECT nextval('"Shop2TaxTypeDefDO_id_seq"'), 'ReducedTax',   3, shop_inTRONICS, now() UNION ALL --added
    SELECT nextval('"Shop2TaxTypeDefDO_id_seq"'), 'FullTax', 5, shop_inTRONICS, now() UNION ALL

--shop_inTRONICS_Business
    SELECT nextval('"Shop2TaxTypeDefDO_id_seq"'), 'NoTax',   1, shop_inTRONICS_Business, now() UNION ALL
	SELECT nextval('"Shop2TaxTypeDefDO_id_seq"'), 'ReducedTax',   3, shop_inTRONICS_Business, now() UNION ALL --added
    SELECT nextval('"Shop2TaxTypeDefDO_id_seq"'), 'FullTax', 5, shop_inTRONICS_Business, now();

---- Supplier2TaxTypeDefDO
INSERT INTO "Supplier2TaxTypeDefDO"("id", "supplierTaxTypeName", "taxTypeDefRef", "supplierRef")

    SELECT nextval('"Supplier2TaxTypeDefDO_id_seq"'), 'FullTax', 5, supplier_inTRONICS_Florida_Warehouse UNION ALL
	SELECT nextval('"Supplier2TaxTypeDefDO_id_seq"'), 'ReducedTax', 3, supplier_inTRONICS_Florida_Warehouse UNION ALL
    SELECT nextval('"Supplier2TaxTypeDefDO_id_seq"'), 'NoTax',   1, supplier_inTRONICS_Florida_Warehouse UNION ALL

    SELECT nextval('"Supplier2TaxTypeDefDO_id_seq"'), 'FullTax', 5, supplier_inTRONICS_Florida_Retailer UNION ALL
	SELECT nextval('"Supplier2TaxTypeDefDO_id_seq"'), 'ReducedTax', 3, supplier_inTRONICS_Florida_Retailer UNION ALL
    SELECT nextval('"Supplier2TaxTypeDefDO_id_seq"'), 'NoTax',   1, supplier_inTRONICS_Florida_Retailer UNION ALL

    SELECT nextval('"Supplier2TaxTypeDefDO_id_seq"'), 'FullTax', 5, supplier_inTRONICS_Texas_Warehouse UNION ALL
	SELECT nextval('"Supplier2TaxTypeDefDO_id_seq"'), 'ReducedTax', 3, supplier_inTRONICS_Texas_Warehouse UNION ALL
    SELECT nextval('"Supplier2TaxTypeDefDO_id_seq"'), 'NoTax',   1, supplier_inTRONICS_Texas_Warehouse UNION ALL

	SELECT nextval('"Supplier2TaxTypeDefDO_id_seq"'), 'FullTax', 5, supplier_inTRONICS_Texas_Retailer UNION ALL
	SELECT nextval('"Supplier2TaxTypeDefDO_id_seq"'), 'ReducedTax', 3, supplier_inTRONICS_Texas_Retailer UNION ALL
    SELECT nextval('"Supplier2TaxTypeDefDO_id_seq"'), 'NoTax',   1, supplier_inTRONICS_Texas_Retailer UNION ALL

    SELECT nextval('"Supplier2TaxTypeDefDO_id_seq"'), 'FullTax', 5, supplier_inTRONICS_California_Warehouse UNION ALL
	SELECT nextval('"Supplier2TaxTypeDefDO_id_seq"'), 'ReducedTax', 3, supplier_inTRONICS_California_Warehouse UNION ALL
    SELECT nextval('"Supplier2TaxTypeDefDO_id_seq"'), 'NoTax',   1, supplier_inTRONICS_California_Warehouse UNION ALL

    SELECT nextval('"Supplier2TaxTypeDefDO_id_seq"'), 'FullTax', 5, supplier_inTRONICS_California_Retailer UNION ALL
	SELECT nextval('"Supplier2TaxTypeDefDO_id_seq"'), 'ReducedTax', 3, supplier_inTRONICS_California_Retailer UNION ALL
    SELECT nextval('"Supplier2TaxTypeDefDO_id_seq"'), 'NoTax',   1, supplier_inTRONICS_California_Retailer;


---- Shop2DeliveryTypeDefDO
INSERT INTO "Shop2DeliveryTypeDefDO"("id", "deliveryTypeDefRef", "shopDeliveryTypeName", "shopRef")

    SELECT nextval('"Shop2DeliveryTypeDefDO_id_seq"'), 1, 'SHIPPING_STANDARD', shop_inTRONICS UNION ALL
    SELECT nextval('"Shop2DeliveryTypeDefDO_id_seq"'), 2, 'SHIPPING_EXPRESS',  shop_inTRONICS UNION ALL

    SELECT nextval('"Shop2DeliveryTypeDefDO_id_seq"'), 1, 'SHIPPING_STANDARD', shop_inTRONICS_Business UNION ALL
    SELECT nextval('"Shop2DeliveryTypeDefDO_id_seq"'), 2, 'SHIPPING_EXPRESS',  shop_inTRONICS_Business;


---- Shop2DeliveryFormDefDO
INSERT INTO "Shop2DeliveryFormDefDO"("id", "deliveryFormDefRef", "shopDeliveryFormName", "shopRef")
    SELECT nextval('"Shop2DeliveryFormDefDO_id_seq"'), 10, 'STD_GROUND', shop_inTRONICS UNION ALL
    SELECT nextval('"Shop2DeliveryFormDefDO_id_seq"'), 10, 'STD_GROUND', shop_inTRONICS_Business;


--Manual Refund
-- already part of the initial dump, but with only "Manual Refund" as decription
INSERT INTO "PaymentDefDO"("id", "description", "name") SELECT 40, 'manual refund outbound payment', 'manual refund'
WHERE NOT EXISTS (select * from  "PaymentDefDO" where (id,name)=(40, 'manual refund'));
/*
INSERT INTO "PaymentDefDO"("id", "description", "name") SELECT 32, 'Intershop Gift Card / Certificate', 'Gift Card Payment Service'
WHERE NOT EXISTS (select * from  "PaymentDefDO" where (id,name)=(32, 'Gift Card Payment Service'));
*/
--- Shop2PaymentDefDO (Refer to OrderStatesDefRef for initOrderStateDefRef (2001 -> supplier assignment should be made later))
INSERT INTO "Shop2PaymentDefDO"("id",
	 "active",
	 "initOrderStateDefRef",
	 "paymentDefRef",
	 "shopPaymentName",
	 "shopRef",
	 "safePayment",
	 "payment2ProcessStageDefRef",
	 "useAutomaticAuthorizationExtension",
	 "authizationDurationInDays",
	 "timeForPaymentAllowed")

SELECT nextval('"Shop2PaymentDefDO_id_seq"'), TRUE, 2001, 1, 'NO_PAYMENT',           shop_inTRONICS, FALSE, 1, null::boolean, null::int, null::int8 UNION ALL
SELECT nextval('"Shop2PaymentDefDO_id_seq"'), TRUE, 2001, 2, 'ISH_CASH_IN_ADVANCE',  shop_inTRONICS, FALSE, 1, null, null, null UNION ALL
SELECT nextval('"Shop2PaymentDefDO_id_seq"'), TRUE, 2001, 3, 'ISH_CREDITCARD',       shop_inTRONICS, FALSE, 5, TRUE, 14, null UNION ALL
SELECT nextval('"Shop2PaymentDefDO_id_seq"'), TRUE, 2001, 4, 'ISH_CASH_ON_DELIVERY', shop_inTRONICS, FALSE, 7, null, null, null UNION ALL
SELECT nextval('"Shop2PaymentDefDO_id_seq"'), TRUE, 2001, 5, 'ISH_INVOICE',          shop_inTRONICS, FALSE, 5, null, null, null UNION ALL

SELECT nextval('"Shop2PaymentDefDO_id_seq"'), TRUE, 2001, 1, 'NO_PAYMENT',           shop_inTRONICS_Business, FALSE, 1, null, null, null UNION ALL
SELECT nextval('"Shop2PaymentDefDO_id_seq"'), TRUE, 2001, 2, 'ISH_CASH_IN_ADVANCE',  shop_inTRONICS_Business, FALSE, 1, null, null, null UNION ALL
SELECT nextval('"Shop2PaymentDefDO_id_seq"'), TRUE, 2001, 3, 'ISH_CREDITCARD',       shop_inTRONICS_Business, FALSE, 5, TRUE, 14, null UNION ALL
SELECT nextval('"Shop2PaymentDefDO_id_seq"'), TRUE, 2001, 4, 'ISH_CASH_ON_DELIVERY', shop_inTRONICS_Business, FALSE, 7, null, null, null UNION ALL
SELECT nextval('"Shop2PaymentDefDO_id_seq"'), TRUE, 2001, 5, 'ISH_INVOICE',          shop_inTRONICS_Business, FALSE, 5, null, null, null UNION ALL

SELECT nextval('"Shop2PaymentDefDO_id_seq"'), TRUE, 2001, 7, 'ISH_DEBIT_TRANSFER', shop_inTRONICS, FALSE, 5, null, null, null UNION ALL
SELECT nextval('"Shop2PaymentDefDO_id_seq"'), TRUE, 2001, 7, 'ISH_DEBIT_TRANSFER', shop_inTRONICS_Business,         FALSE, 5, null, null, null UNION ALL

SELECT nextval('"Shop2PaymentDefDO_id_seq"'), TRUE, 2001, 10, 'ISH_ONLINEPAY', shop_inTRONICS,         FALSE, 1, null, null, null UNION ALL
SELECT nextval('"Shop2PaymentDefDO_id_seq"'), TRUE, 2001, 10, 'ISH_ONLINEPAY', shop_inTRONICS_Business,         FALSE, 1, null, null, null UNION ALL

SELECT nextval('"Shop2PaymentDefDO_id_seq"'), TRUE, 2001, 24, 'ISH_FASTPAY', shop_inTRONICS,         FALSE, 1, null, null, null UNION ALL
SELECT nextval('"Shop2PaymentDefDO_id_seq"'), TRUE, 2001, 24, 'ISH_FASTPAY', shop_inTRONICS_Business,         FALSE, 1, null, null, null UNION ALL
/*
SELECT nextval('"Shop2PaymentDefDO_id_seq"'), TRUE, 2001, 32, 'ISH_GIFT_CARD', shop_inTRONICS,         FALSE, null, null, null, null UNION ALL
SELECT nextval('"Shop2PaymentDefDO_id_seq"'), TRUE, 2001, 32, 'ISH_GIFT_CARD', shop_inTRONICS_Business,         FALSE, null, null, null, null UNION ALL
*/
SELECT nextval('"Shop2PaymentDefDO_id_seq"'), TRUE, 2001, 40, 'BPS_MANUAL_REFUND', shop_inTRONICS,         FALSE, null, null, null, null UNION ALL
SELECT nextval('"Shop2PaymentDefDO_id_seq"'), TRUE, 2001, 40, 'BPS_MANUAL_REFUND', shop_inTRONICS_Business,         FALSE, null, null, null, null UNION ALL

SELECT nextval('"Shop2PaymentDefDO_id_seq"'), TRUE, 2001, 100, 'ISH_INVOICE_TOTAL_ZERO', shop_inTRONICS,         FALSE, 1, null, null, null UNION ALL
SELECT nextval('"Shop2PaymentDefDO_id_seq"'), TRUE, 2001, 100, 'ISH_INVOICE_TOTAL_ZERO', shop_inTRONICS_Business, FALSE, 1, null, null, null;



--Shop2Supplier
--inTRONICS
--OMS internal Supplier
INSERT INTO "Shop2SupplierDO"(
            "id",
			"active",
			"modificationDate",
			"reservationTimeInDays",
			"sendOffTimeInHours",
            "shopAccount",
			"shopPassword",
			"shopSupplierName",
			"splitShipmentAllowed",
            "supplierAccount",
			"supplierPassword",
			"supplierShopName",
			"shopRef",
            "supplierRef",
			"supplierShopKey",
			"sendOrderCoupon",
			"supplierSupportsCOD",
            "eolDetectionTimeInterval",
			"resetStockOnImport",
			"flatRateShipping",
            "isDropShipment",
			"immaterialArticleUrlValidityDuration",
			"returnCarrierRef",
            "leadCode",
			"useSupplierArticleNoAsShopArticleNo",
			"shopArticleNoPrefix")
    VALUES (nextval('"Shop2SupplierDO_id_seq"'),
			TRUE,
			now(),
			0,
			0,
            '',
			'',
			'OMS Internal Supplier', --shopSupplierName
			TRUE,
            '',
			'',
			'inTRONICS',  --supplierShopName
			shop_inTRONICS, -- shopRef
            1, --supplierRef = Bakery Internal Supplier
			null,
			FALSE,
			TRUE,
            null,
			FALSE,
			null,
            FALSE,
			null,
			11, -- DHL
            null,
			null,
			null);

--Shop2Supplier
--inTRONICS Business
--OMS internal Supplier
INSERT INTO "Shop2SupplierDO"(
            "id",
			"active",
			"modificationDate",
			"reservationTimeInDays",
			"sendOffTimeInHours",
            "shopAccount",
			"shopPassword",
			"shopSupplierName",
			"splitShipmentAllowed",
            "supplierAccount",
			"supplierPassword",
			"supplierShopName",
			"shopRef",
            "supplierRef",
			"supplierShopKey",
			"sendOrderCoupon",
			"supplierSupportsCOD",
            "eolDetectionTimeInterval",
			"resetStockOnImport",
			"flatRateShipping",
            "isDropShipment",
			"immaterialArticleUrlValidityDuration",
			"returnCarrierRef",
            "leadCode",
			"useSupplierArticleNoAsShopArticleNo",
			"shopArticleNoPrefix")
    VALUES (nextval('"Shop2SupplierDO_id_seq"'),
			TRUE,
			now(),
			0,
			0,
            '',
			'',
			'OMS Internal Supplier', --shopSupplierName
			TRUE,
            '',
			'',
			'inTRONICS Business',  --supplierShopName
			shop_inTRONICS_Business, -- shopRef
            1, --supplierRef = Bakery Internal Supplier
			null,
			FALSE,
			TRUE,
            null,
			FALSE,
			null,
            FALSE,
			null,
			11, -- DHL
            null,
			null,
			null);


-- B2B Shops -> Warehouses & B2C Shops -> Retailers
-- inTRONICS Business -> inTRONICS Florida Warehouse
INSERT INTO "Shop2SupplierDO"(
            "id",
			"active",
			"modificationDate",
			"reservationTimeInDays",
			"sendOffTimeInHours",
            "shopAccount",
			"shopPassword",
			"shopSupplierName",
			"splitShipmentAllowed",
            "supplierAccount",
			"supplierPassword",
			"supplierShopName",
			"shopRef",
            "supplierRef",
			"supplierShopKey",
			"sendOrderCoupon",
			"supplierSupportsCOD",
            "eolDetectionTimeInterval",
			"resetStockOnImport",
			"flatRateShipping",
            "isDropShipment",
			"immaterialArticleUrlValidityDuration",
			"returnCarrierRef",
            "leadCode",
			"useSupplierArticleNoAsShopArticleNo",
			"shopArticleNoPrefix")
    VALUES (nextval('"Shop2SupplierDO_id_seq"'),
			TRUE,
			now(),
			0,
			0,
            '',
			'',
			'inTRONICS Florida Warehouse',
			TRUE,
            '',
			'',
			'inTRONICS Business',
			shop_inTRONICS_Business,
            supplier_inTRONICS_Florida_Warehouse,
			null,
			FALSE,
			TRUE,
            null,
			FALSE,
			null,
            FALSE,
			null,
			11,
            null,
			null,
			null);
-- B2B Shops -> Warehouses & B2C Shops -> Retailers
-- inTRONICS Business -> inTRONICS Texas Warehouse
INSERT INTO "Shop2SupplierDO"(
            "id",
			"active",
			"modificationDate",
			"reservationTimeInDays",
			"sendOffTimeInHours",
            "shopAccount",
			"shopPassword",
			"shopSupplierName",
			"splitShipmentAllowed",
            "supplierAccount",
			"supplierPassword",
			"supplierShopName",
			"shopRef",
            "supplierRef",
			"supplierShopKey",
			"sendOrderCoupon",
			"supplierSupportsCOD",
            "eolDetectionTimeInterval",
			"resetStockOnImport",
			"flatRateShipping",
            "isDropShipment",
			"immaterialArticleUrlValidityDuration",
			"returnCarrierRef",
            "leadCode",
			"useSupplierArticleNoAsShopArticleNo",
			"shopArticleNoPrefix")
    VALUES (nextval('"Shop2SupplierDO_id_seq"'),
			TRUE,
			now(),
			0,
			0,
            '',
			'',
			'inTRONICS Texas Warehouse',
			TRUE,
            '',
			'',
			'inTRONICS Business',
			shop_inTRONICS_Business,
            supplier_inTRONICS_Texas_Warehouse,
			null,
			FALSE,
			TRUE,
            null,
			FALSE,
			null,
            FALSE,
			null,
			11,
            null,
			null,
			null);

-- B2B Shops -> Warehouses & B2C Shops -> Retailers
-- inTRONICS Business -> inTRONICS California Warehouse
INSERT INTO "Shop2SupplierDO"(
            "id",
			"active",
			"modificationDate",
			"reservationTimeInDays",
			"sendOffTimeInHours",
            "shopAccount",
			"shopPassword",
			"shopSupplierName",
			"splitShipmentAllowed",
            "supplierAccount",
			"supplierPassword",
			"supplierShopName",
			"shopRef",
            "supplierRef",
			"supplierShopKey",
			"sendOrderCoupon",
			"supplierSupportsCOD",
            "eolDetectionTimeInterval",
			"resetStockOnImport",
			"flatRateShipping",
            "isDropShipment",
			"immaterialArticleUrlValidityDuration",
			"returnCarrierRef",
            "leadCode",
			"useSupplierArticleNoAsShopArticleNo",
			"shopArticleNoPrefix")
    VALUES (nextval('"Shop2SupplierDO_id_seq"'),
			TRUE,
			now(),
			0,
			0,
            '',
			'',
			'inTRONICS California Warehouse',
			TRUE,
            '',
			'',
			'inTRONICS Business',
			shop_inTRONICS_Business,
            supplier_inTRONICS_California_Warehouse,
			null,
			FALSE,
			TRUE,
            null,
			FALSE,
			null,
            FALSE,
			null,
			11,
            null,
			null,
			null);

--  B2C Shops -> Retailers & B2B Shops -> Warehouses
-- inTRONICS -> inTRONICS Florida Retailer
INSERT INTO "Shop2SupplierDO"(
            "id",
			"active",
			"modificationDate",
			"reservationTimeInDays",
			"sendOffTimeInHours",
            "shopAccount",
			"shopPassword",
			"shopSupplierName",
			"splitShipmentAllowed",
            "supplierAccount",
			"supplierPassword",
			"supplierShopName",
			"shopRef",
            "supplierRef",
			"supplierShopKey",
			"sendOrderCoupon",
			"supplierSupportsCOD",
            "eolDetectionTimeInterval",
			"resetStockOnImport",
			"flatRateShipping",
            "isDropShipment",
			"immaterialArticleUrlValidityDuration",
			"returnCarrierRef",
            "leadCode",
			"useSupplierArticleNoAsShopArticleNo",
			"shopArticleNoPrefix")
    VALUES (nextval('"Shop2SupplierDO_id_seq"'),
			TRUE,
			now(),
			0,
			0,
            '',
			'',
			'inTRONICS Florida Retailer',
			TRUE,
            '',
			'',
			'inTRONICS',
			shop_inTRONICS,
            supplier_inTRONICS_Florida_Retailer,
			null,
			FALSE,
			TRUE,
            null,
			FALSE,
			null,
            FALSE,
			null,
			11,
            null,
			null,
			null);

--  B2C Shops -> Retailers & B2B Shops -> Warehouses
-- inTRONICS -> inTRONICS Texas Retailer
INSERT INTO "Shop2SupplierDO"(
            "id",
			"active",
			"modificationDate",
			"reservationTimeInDays",
			"sendOffTimeInHours",
            "shopAccount",
			"shopPassword",
			"shopSupplierName",
			"splitShipmentAllowed",
            "supplierAccount",
			"supplierPassword",
			"supplierShopName",
			"shopRef",
            "supplierRef",
			"supplierShopKey",
			"sendOrderCoupon",
			"supplierSupportsCOD",
            "eolDetectionTimeInterval",
			"resetStockOnImport",
			"flatRateShipping",
            "isDropShipment",
			"immaterialArticleUrlValidityDuration",
			"returnCarrierRef",
            "leadCode",
			"useSupplierArticleNoAsShopArticleNo",
			"shopArticleNoPrefix")
    VALUES (nextval('"Shop2SupplierDO_id_seq"'),
			TRUE,
			now(),
			0,
			0,
            '',
			'',
			'inTRONICS Texas Retailer',
			TRUE,
            '',
			'',
			'inTRONICS',
			shop_inTRONICS,
            supplier_inTRONICS_Texas_Retailer,
			null,
			FALSE,
			TRUE,
            null,
			FALSE,
			null,
            FALSE,
			null,
			11,
            null,
			null,
			null);

--  B2C Shops -> Retailers & B2B Shops -> Warehouses
-- inTRONICS -> inTRONICS California Retailer
INSERT INTO "Shop2SupplierDO"(
            "id",
			"active",
			"modificationDate",
			"reservationTimeInDays",
			"sendOffTimeInHours",
            "shopAccount",
			"shopPassword",
			"shopSupplierName",
			"splitShipmentAllowed",
            "supplierAccount",
			"supplierPassword",
			"supplierShopName",
			"shopRef",
            "supplierRef",
			"supplierShopKey",
			"sendOrderCoupon",
			"supplierSupportsCOD",
            "eolDetectionTimeInterval",
			"resetStockOnImport",
			"flatRateShipping",
            "isDropShipment",
			"immaterialArticleUrlValidityDuration",
			"returnCarrierRef",
            "leadCode",
			"useSupplierArticleNoAsShopArticleNo",
			"shopArticleNoPrefix")
    VALUES (nextval('"Shop2SupplierDO_id_seq"'),
			TRUE,
			now(),
			0,
			0,
            '',
			'',
			'inTRONICS California Retailer',
			TRUE,
            '',
			'',
			'inTRONICS',
			shop_inTRONICS,
            supplier_inTRONICS_California_Retailer,
			null,
			FALSE,
			TRUE,
            null,
			FALSE,
			null,
            FALSE,
			null,
			11,
            null,
			null,
			null);


--Shop2OrderValidationRuleDefDO
--"Pruefung gemaess ShopOrderValidation"
INSERT into "Shop2OrderValidationRuleDefDO"("id", "orderValidationRuleDefRef", "runSynchron", "shopRef") values(nextval('"Shop2OrderValidationRuleDefDO_id_seq"'), 1, TRUE, shop_inTRONICS);
INSERT into "Shop2OrderValidationRuleDefDO"("id", "orderValidationRuleDefRef", "runSynchron", "shopRef") values(nextval('"Shop2OrderValidationRuleDefDO_id_seq"'), 1, TRUE, shop_inTRONICS_Business);

--"VK vorhanden bei Zahlart Nachnahme"
INSERT into "Shop2OrderValidationRuleDefDO"("id", "orderValidationRuleDefRef", "runSynchron", "shopRef") values(nextval('"Shop2OrderValidationRuleDefDO_id_seq"'), 3, TRUE, shop_inTRONICS);
INSERT into "Shop2OrderValidationRuleDefDO"("id", "orderValidationRuleDefRef", "runSynchron", "shopRef") values(nextval('"Shop2OrderValidationRuleDefDO_id_seq"'), 3, TRUE, shop_inTRONICS_Business);

--"Pruefen der ArtikelIds"
INSERT into "Shop2OrderValidationRuleDefDO"("id", "orderValidationRuleDefRef", "runSynchron", "shopRef") values(nextval('"Shop2OrderValidationRuleDefDO_id_seq"'), 4, FALSE, shop_inTRONICS);
INSERT into "Shop2OrderValidationRuleDefDO"("id", "orderValidationRuleDefRef", "runSynchron", "shopRef") values(nextval('"Shop2OrderValidationRuleDefDO_id_seq"'), 4, FALSE, shop_inTRONICS_Business);

--"Ergaezungen an der Order"
INSERT into "Shop2OrderValidationRuleDefDO"("id", "orderValidationRuleDefRef", "runSynchron", "shopRef") values(nextval('"Shop2OrderValidationRuleDefDO_id_seq"'), 5, FALSE, shop_inTRONICS);
INSERT into "Shop2OrderValidationRuleDefDO"("id", "orderValidationRuleDefRef", "runSynchron", "shopRef") values(nextval('"Shop2OrderValidationRuleDefDO_id_seq"'), 5, FALSE, shop_inTRONICS_Business);

--"fachliche EK-, VK-Pruefung"
INSERT into "Shop2OrderValidationRuleDefDO"("id", "orderValidationRuleDefRef", "runSynchron", "shopRef") values(nextval('"Shop2OrderValidationRuleDefDO_id_seq"'), 6, true, shop_inTRONICS);
INSERT into "Shop2OrderValidationRuleDefDO"("id", "orderValidationRuleDefRef", "runSynchron", "shopRef") values(nextval('"Shop2OrderValidationRuleDefDO_id_seq"'), 6, true, shop_inTRONICS_Business);

--"Ergaenzungen zu immateriellen Artikeln"
INSERT into "Shop2OrderValidationRuleDefDO"("id", "orderValidationRuleDefRef", "runSynchron", "shopRef") values(nextval('"Shop2OrderValidationRuleDefDO_id_seq"'), 10, false, shop_inTRONICS);
INSERT into "Shop2OrderValidationRuleDefDO"("id", "orderValidationRuleDefRef", "runSynchron", "shopRef") values(nextval('"Shop2OrderValidationRuleDefDO_id_seq"'), 10, false, shop_inTRONICS_Business);

--"Ueberpruefung der Rechnungsadresse"
INSERT into "Shop2OrderValidationRuleDefDO"("id", "orderValidationRuleDefRef", "runSynchron", "shopRef") values(nextval('"Shop2OrderValidationRuleDefDO_id_seq"'), 11, false, shop_inTRONICS);
INSERT into "Shop2OrderValidationRuleDefDO"("id", "orderValidationRuleDefRef", "runSynchron", "shopRef") values(nextval('"Shop2OrderValidationRuleDefDO_id_seq"'), 11, false, shop_inTRONICS_Business);

--"Neuanlage eines Kunden"
INSERT into "Shop2OrderValidationRuleDefDO"("id", "orderValidationRuleDefRef", "runSynchron", "shopRef") values(nextval('"Shop2OrderValidationRuleDefDO_id_seq"'), 13, TRUE, shop_inTRONICS);
INSERT into "Shop2OrderValidationRuleDefDO"("id", "orderValidationRuleDefRef", "runSynchron", "shopRef") values(nextval('"Shop2OrderValidationRuleDefDO_id_seq"'), 13, TRUE, shop_inTRONICS_Business);

--Shop2OrderSupplierEvaluationRuleDefDO
INSERT into "Shop2OrderSupplierEvaluationRuleDefDO"("id", "errorForcesAutomaticCancelation", "orderSupplierEvaluationRuleDefRef", "shopRef")

--"prueft die Lieferzeit, inklusive EOL-Pruefung" Verfuegbarkeit und Lieferzeit-Pruefung
    SELECT nextval('"Shop2OrderSupplierEvaluationRuleDefDO_id_seq"'), FALSE, 1, shop_inTRONICS UNION ALL
	SELECT nextval('"Shop2OrderSupplierEvaluationRuleDefDO_id_seq"'), FALSE, 1, shop_inTRONICS_Business UNION ALL

--prueft die Nachnahme, Pflichtpruefung
	SELECT nextval('"Shop2OrderSupplierEvaluationRuleDefDO_id_seq"'), FALSE, 7, shop_inTRONICS UNION ALL
	SELECT nextval('"Shop2OrderSupplierEvaluationRuleDefDO_id_seq"'), FALSE, 7, shop_inTRONICS_Business ;

--DHL (If needed, add DPD 12 UPS 15 Hermes 25)
insert into "Shop2CarrierDO" (id, "shopCarrierName", "carrierRef", "shopRef") 	values (nextval('"Shop2CarrierDO_id_seq"'), 'DHL', 11, shop_inTRONICS);
insert into "Shop2CarrierDO" (id, "shopCarrierName", "carrierRef", "shopRef") 	values (nextval('"Shop2CarrierDO_id_seq"'), 'DHL', 11, shop_inTRONICS_Business);

--DHL (If needed, add DPD 12 UPS 15 Hermes 25)
insert into "Supplier2CarrierDO" (id, "supplierCarrierName", "carrierRef", "supplierRef") values (nextval('"Supplier2CarrierDO_id_seq"'), 'DHL', 11, supplier_inTRONICS_Florida_Warehouse);
insert into "Supplier2CarrierDO" (id, "supplierCarrierName", "carrierRef", "supplierRef") values (nextval('"Supplier2CarrierDO_id_seq"'), 'DHL', 11, supplier_inTRONICS_Florida_Retailer);
insert into "Supplier2CarrierDO" (id, "supplierCarrierName", "carrierRef", "supplierRef") values (nextval('"Supplier2CarrierDO_id_seq"'), 'DHL', 11, supplier_inTRONICS_California_Warehouse);
insert into "Supplier2CarrierDO" (id, "supplierCarrierName", "carrierRef", "supplierRef") values (nextval('"Supplier2CarrierDO_id_seq"'), 'DHL', 11, supplier_inTRONICS_California_Retailer);
insert into "Supplier2CarrierDO" (id, "supplierCarrierName", "carrierRef", "supplierRef") values (nextval('"Supplier2CarrierDO_id_seq"'), 'DHL', 11, supplier_inTRONICS_Texas_Warehouse);
insert into "Supplier2CarrierDO" (id, "supplierCarrierName", "carrierRef", "supplierRef") values (nextval('"Supplier2CarrierDO_id_seq"'), 'DHL', 11, supplier_inTRONICS_Texas_Retailer);

-- add shop and suppliers as communication partners
insert into "PartnerReferrerDO" (id, version, "shopRef") values (nextval('"PartnerReferrerDO_id_seq"'), 0, shop_inTRONICS);
insert into "PartnerReferrerDO" (id, version, "shopRef") values (nextval('"PartnerReferrerDO_id_seq"'), 0, shop_inTRONICS_Business);
insert into "PartnerReferrerDO" (id, version, "supplierRef") values (nextval('"PartnerReferrerDO_id_seq"'), 0, supplier_inTRONICS_Florida_Warehouse);
insert into "PartnerReferrerDO" (id, version, "supplierRef") values (nextval('"PartnerReferrerDO_id_seq"'), 0, supplier_inTRONICS_Florida_Retailer);
insert into "PartnerReferrerDO" (id, version, "supplierRef") values (nextval('"PartnerReferrerDO_id_seq"'), 0, supplier_inTRONICS_California_Warehouse);
insert into "PartnerReferrerDO" (id, version, "supplierRef") values (nextval('"PartnerReferrerDO_id_seq"'), 0, supplier_inTRONICS_California_Retailer);
insert into "PartnerReferrerDO" (id, version, "supplierRef") values (nextval('"PartnerReferrerDO_id_seq"'), 0, supplier_inTRONICS_Texas_Warehouse);
insert into "PartnerReferrerDO" (id, version, "supplierRef") values (nextval('"PartnerReferrerDO_id_seq"'), 0, supplier_inTRONICS_Texas_Retailer);


--ReturnReasons
--Same configuration  for all shops
WITH RES AS (SELECT 300 as reason_id, 'RET010' as reason_name UNION ALL
             SELECT 309 as reason_id, 'RET100' as reason_name UNION ALL
             SELECT 312 as reason_id, 'RET990' as reason_name UNION ALL
             SELECT 323 as reason_id, 'RET190' as reason_name
            ),
   SHOPS AS ( SELECT  shop_inTRONICS as shop_id UNION ALL
              SELECT  shop_inTRONICS_Business
            )
INSERT INTO oms."Shop2ReturnReasonDefDO"
(
  id,                    -- bigint -- NOT NULL
  "returnReasonDefRef",  -- integer
  "shopReturnReasonName",-- character varying(50)
  "shopRef"              -- bigint
)
SELECT
  nextval('oms."Shop2ReturnReasonDefDO_id_seq"'),
  reason_id,
  reason_name,
  shop_id
FROM RES CROSS JOIN SHOPS;


--Return Types
INSERT INTO "Supplier2ReturnTypeDefDO"(id, "returnTypeDefRef", "supplierReturnTypeName", "supplierRef", "rmaNo", preselected)
SELECT nextval('"Supplier2ReturnTypeDefDO_id_seq"'),rtdf,srtn,sr,'',false from
(
SELECT 1 as rtdf, 'CAN' as srtn UNION ALL
SELECT 2, 'RCL' UNION ALL
SELECT 3, 'INV' UNION ALL
SELECT 4, 'RET' UNION ALL
SELECT 5, 'DEF'
) a
CROSS JOIN
(
SELECT '1' as sr UNION ALL
SELECT supplier_inTRONICS_Florida_Warehouse  UNION ALL
SELECT supplier_inTRONICS_Florida_Retailer  UNION ALL
SELECT supplier_inTRONICS_California_Warehouse  UNION ALL
SELECT supplier_inTRONICS_California_Retailer  UNION ALL
SELECT supplier_inTRONICS_Texas_Warehouse  UNION ALL
SELECT supplier_inTRONICS_Texas_Retailer
)b;


-- Recall
WITH RES AS (SELECT 'RCL' as reason_name UNION ALL
             SELECT 'INV' as reason_name UNION ALL
             SELECT 'RET' as reason_name UNION ALL
             SELECT 'DEF' as reason_name
            )
INSERT INTO "SupplierReturnAddressDO"(
			"id", "addressLine1", "addressLine2", "addressLine3", "addressLine4", "addressLine5", "supplier2ReturnTypeDefRef", "shop2SupplierRef")

	--shop_inTRONICS_Business -> supplier_inTRONICS_California_Warehouse

   SELECT nextval('"SupplierReturnAddressDO_id_seq"'), 'inTRONICS California Warehouse c/o Intershop Communications, Inc.' , '25 Lusk Street, Suite 210', 'San Francisco, CA 94107, United States', 'Tel.: +1 415 844-1500', 'Fax: +1 415 844-3800',
					(select id from "Supplier2ReturnTypeDefDO" where "supplierRef" = supplier_inTRONICS_California_Warehouse and "supplierReturnTypeName" = reason_name),
					(select id from "Shop2SupplierDO"          where "supplierRef" = supplier_inTRONICS_California_Warehouse and "shopRef" = shop_inTRONICS_Business)
					from RES
   UNION ALL

   --shop_inTRONICS -> supplier_inTRONICS_California_Retailer

   SELECT nextval('"SupplierReturnAddressDO_id_seq"'), 'inTRONICS California Retailer c/o Intershop Communications, Inc.' , '25 Lusk Street, Suite 210', 'San Francisco, CA 94107, United States', 'Tel.: +1 415 844-1500', 'Fax: +1 415 844-3800 ',
					(select id from "Supplier2ReturnTypeDefDO" where "supplierRef" = supplier_inTRONICS_California_Retailer and "supplierReturnTypeName" = reason_name),
					(select id from "Shop2SupplierDO"          where "supplierRef" = supplier_inTRONICS_California_Retailer and "shopRef" = shop_inTRONICS)
					from RES
   UNION ALL

	--shop_inTRONICS_Business -> supplier_inTRONICS_Florida_Warehouse

   SELECT nextval('"SupplierReturnAddressDO_id_seq"'), 'inTRONICS Business Florida Warehouse c/o Intershop Communications, Inc.' , '1885 Stadium Rd', 'Gainesville, FL 32608, USA', 'Tel.: +1 415 844-1500', 'Fax: +1 415 844-3800 ',
					(select id from "Supplier2ReturnTypeDefDO" where "supplierRef" = supplier_inTRONICS_Florida_Warehouse and "supplierReturnTypeName" = reason_name),
					(select id from "Shop2SupplierDO"          where "supplierRef" = supplier_inTRONICS_Florida_Warehouse and "shopRef" = shop_inTRONICS_Business)
					from RES
   UNION ALL

   --shop_inTRONICS -> supplier_inTRONICS_Florida_Retailer

   SELECT nextval('"SupplierReturnAddressDO_id_seq"'), 'inTRONICS Florida Retailer c/o Intershop Communications, Inc.' , '1885 Stadium Rd', 'Gainesville, FL 32608, USA', 'Tel.: +1 415 844-1500', 'Fax: +1 415 844-3800 ',
					(select id from "Supplier2ReturnTypeDefDO" where "supplierRef" = supplier_inTRONICS_Florida_Retailer and "supplierReturnTypeName" = reason_name),
					(select id from "Shop2SupplierDO"          where "supplierRef" = supplier_inTRONICS_Florida_Retailer and "shopRef" = shop_inTRONICS)
					from RES
   UNION ALL

   	--shop_inTRONICS_Business -> supplier_inTRONICS_Texas_Warehouse

   SELECT nextval('"SupplierReturnAddressDO_id_seq"'), 'inTRONICS Business California Warehouse c/o Intershop Communications, Inc.' , '4730 Yellowstone Blvd', 'Houston, TX 77021, USA', 'Tel.: +1 415 844-1500', 'Fax: +1 415 844-3800 ',
					(select id from "Supplier2ReturnTypeDefDO" where "supplierRef" = supplier_inTRONICS_Texas_Warehouse and "supplierReturnTypeName" = reason_name),
					(select id from "Shop2SupplierDO"          where "supplierRef" = supplier_inTRONICS_Texas_Warehouse and "shopRef" = shop_inTRONICS_Business)
					from RES
   UNION ALL

   --shop_inTRONICS -> supplier_inTRONICS_Texas_Retailer

   SELECT nextval('"SupplierReturnAddressDO_id_seq"'), 'inTRONICS California Retailer c/o Intershop Communications, Inc.' , '4730 Yellowstone Blvd', 'Houston, TX 77021, USA', 'Tel.: +1 415 844-1500', 'Fax: +1 415 844-3800 ',
					(select id from "Supplier2ReturnTypeDefDO" where "supplierRef" = supplier_inTRONICS_Texas_Retailer and "supplierReturnTypeName" = reason_name),
					(select id from "Shop2SupplierDO"          where "supplierRef" = supplier_inTRONICS_Texas_Retailer and "shopRef" = shop_inTRONICS)
	FROM RES;

-- During return of the article, the shop and the supplier should agree upon an amount that needs to be deduced from the purchase amount, in case of sings of usage.
--shop_inTRONICS_Business -> supplier_inTRONICS_Texas_Retailer

CREATE temp table SHOP_SUP
 AS   SELECT nextval('"Shop2Supplier2ReduceReasonDO_id_seq"') as seq_nr, shop_inTRONICS as shop_,  supplier_inTRONICS_Texas_Retailer as sup_ UNION ALL
      SELECT nextval('"Shop2Supplier2ReduceReasonDO_id_seq"') as seq_nr, shop_inTRONICS as shop_,  supplier_inTRONICS_Florida_Retailer as sup_ UNION ALL
      SELECT nextval('"Shop2Supplier2ReduceReasonDO_id_seq"') as seq_nr, shop_inTRONICS as shop_,  supplier_inTRONICS_California_Retailer as sup_ UNION ALL
      SELECT nextval('"Shop2Supplier2ReduceReasonDO_id_seq"') as seq_nr, shop_inTRONICS as shop_,  supplier_Internal_Supplier as sup_ UNION ALL
      SELECT nextval('"Shop2Supplier2ReduceReasonDO_id_seq"') as seq_nr, shop_inTRONICS_Business as shop_,  supplier_inTRONICS_Texas_Warehouse as sup_ UNION ALL
      SELECT nextval('"Shop2Supplier2ReduceReasonDO_id_seq"') as seq_nr, shop_inTRONICS_Business as shop_,  supplier_inTRONICS_Florida_Warehouse as sup_ UNION ALL
      SELECT nextval('"Shop2Supplier2ReduceReasonDO_id_seq"') as seq_nr, shop_inTRONICS_Business as shop_,  supplier_inTRONICS_California_Warehouse as sup_ UNION ALL
      SELECT nextval('"Shop2Supplier2ReduceReasonDO_id_seq"') as seq_nr, shop_inTRONICS_Business as shop_,  supplier_Internal_Supplier as sup_
           ;

INSERT INTO "Shop2Supplier2ReduceReasonDO"(
			id, "shopReduceReason", "supplierReduceReason", "shop2SupplierRef",
			"isDefault")
SELECT seq_nr, 'AK-100', 'default', (select id from "Shop2SupplierDO" where "shopRef" = shop_ and "supplierRef" = sup_), false
from SHOP_SUP ;

INSERT INTO "ReductionValueDO"(
		id, "reductionInPercent", "validFrom", "validUntil", "shop2Supplier2ReduceReasonRef")
SELECT nextval('"ReductionValueDO_id_seq"'), '100.0000', '2017-02-24 00:00:00', '2999-01-01 00:00:00', seq_nr
from SHOP_SUP;

DROP TABLE SHOP_SUP;

CREATE temp table SHOP_SUP
 AS   SELECT nextval('"Shop2Supplier2ReduceReasonDO_id_seq"') as seq_nr, shop_inTRONICS as shop_,  supplier_inTRONICS_Texas_Retailer as sup_ UNION ALL
      SELECT nextval('"Shop2Supplier2ReduceReasonDO_id_seq"') as seq_nr, shop_inTRONICS as shop_,  supplier_inTRONICS_Florida_Retailer as sup_ UNION ALL
      SELECT nextval('"Shop2Supplier2ReduceReasonDO_id_seq"') as seq_nr, shop_inTRONICS as shop_,  supplier_inTRONICS_California_Retailer as sup_ UNION ALL
      SELECT nextval('"Shop2Supplier2ReduceReasonDO_id_seq"') as seq_nr, shop_inTRONICS as shop_,  supplier_Internal_Supplier as sup_ UNION ALL
      SELECT nextval('"Shop2Supplier2ReduceReasonDO_id_seq"') as seq_nr, shop_inTRONICS_Business as shop_,  supplier_inTRONICS_Texas_Warehouse as sup_ UNION ALL
      SELECT nextval('"Shop2Supplier2ReduceReasonDO_id_seq"') as seq_nr, shop_inTRONICS_Business as shop_,  supplier_inTRONICS_Florida_Warehouse as sup_ UNION ALL
      SELECT nextval('"Shop2Supplier2ReduceReasonDO_id_seq"') as seq_nr, shop_inTRONICS_Business as shop_,  supplier_inTRONICS_California_Warehouse as sup_ UNION ALL
      SELECT nextval('"Shop2Supplier2ReduceReasonDO_id_seq"') as seq_nr, shop_inTRONICS_Business as shop_,  supplier_Internal_Supplier as sup_
           ;

INSERT INTO "Shop2Supplier2ReduceReasonDO"(
		id, "shopReduceReason", "supplierReduceReason", "shop2SupplierRef",
		"isDefault")
SELECT  seq_nr, 'AK-0', 'AK-0', (select id from "Shop2SupplierDO" where "shopRef" = shop_ and "supplierRef" = sup_), false
from SHOP_SUP;

INSERT INTO "ReductionValueDO"(
		id, "reductionInPercent", "validFrom", "validUntil", "shop2Supplier2ReduceReasonRef")
SELECT nextval('"ReductionValueDO_id_seq"'), '0.0000', '2017-02-24 00:00:00', '2999-01-01 00:00:00', seq_nr
from SHOP_SUP;

INSERT INTO product."Supplier2LanguageDefDO"
(
  id,                    			-- bigint -- NOT NULL
  "contentSupplierLanguageCode",  	-- character varying(255)
  "contentSupplierRef",				-- bigint
  "languageDefRef"             		-- integer
)
select nextval('product."Supplier2LanguageDefDO_id_seq"'),
	'en',
	supplier.id,
	2
	from oms."SupplierDO" supplier where "internalSupplierName" IN (
		'inTRONICS_florida_retailer', 'inTRONICS_florida_warehouse',
		'inTRONICS_california_warehouse', 'inTRONICS_california_retailer', 
		'inTRONICS_texas_warehouse', 'inTRONICS_texas_retailer');
		
DROP TABLE SHOP_SUP;


END;
$$;
