
DO $$

DECLARE PARENTID BIGINT;
        A_FILE BIGINT;
		BCG_FILE BIGINT;
		N_FILE BIGINT;

BEGIN

PARENTID := 10;
A_FILE := 11;
BCG_FILE := 12;
N_FILE := 13;

--remove old configurations
DELETE from "ImportConfigurationDO" where id in (PARENTID,A_FILE,BCG_FILE,N_FILE);


--Zip datei
INSERT INTO product."ImportConfigurationDO"(
	id,
	"availabilityStoredProcedure",
	"copyStoredProcedure",
	"csvDelimiter",
	"csvHeader",
	"priceComparisonProviderDefRef",
	"storedProcedureGroup",
	"supplierRef",
	"tableNameGroup",
	"checkMissingInLastDatapack",
	"importDatapackFileTypeDefRef",
	"canDatapackBeEmpty",
	"parentImportConfigurationRef",
	"convertToCSV",
	"createContentAssignment",
	"internalMediaPath",
	"splitCount",
	"variationProcedure",
	"identifyOnBakeryArticleRef",
	"supplementArticleParent",
	"assortmentSupplier",
	"updateArticleType",
	"importBeanDefRef",
	"createSupplierAssortmentSystem",
	"createManufacturer",
	"financeControllerRef",
	"changeIdentificationOfArticle",
	"bonusPartnerRef")
	SELECT
	PARENTID,
	'process_availability_mapping_do_nothing' ,
	'',
	'''|''',
	'',
	null,
	'import_standard_abcg_v10',
	sup.id,
	'',
	FALSE,
	82,
	TRUE,
	null,
	TRUE,
	FALSE,
	'',
	2,
	'',
	FALSE,
	TRUE,
	sup.id,
	FALSE,
	2,
	FALSE,
	TRUE,
	null,
	null,
	null
from oms."SupplierDO" sup where "internalSupplierName" IN (
	'inTRONICS_florida_retailer');

------ Begin A --------------------------------

INSERT INTO product."ImportConfigurationDO"(
	id,
	"availabilityStoredProcedure",
	"copyStoredProcedure",
	"csvDelimiter",
	"csvHeader",
	"priceComparisonProviderDefRef",
	"storedProcedureGroup",
	"supplierRef",
	"tableNameGroup",
	"checkMissingInLastDatapack",
	"importDatapackFileTypeDefRef",
	"canDatapackBeEmpty",
	"parentImportConfigurationRef",
	"convertToCSV",
	"createContentAssignment",
	"internalMediaPath",
	"splitCount",
	"variationProcedure",
	"identifyOnBakeryArticleRef",
	"supplementArticleParent",
	"assortmentSupplier",
	"updateArticleType",
	"importBeanDefRef",
	"createSupplierAssortmentSystem",
	"createManufacturer",
	"financeControllerRef",
	"changeIdentificationOfArticle",
	"bonusPartnerRef")
	SELECT
	A_FILE,
	null ,
	'',
	'''|''',
	'supplierArticleNo|manufacturer|manufacturerArticleNo|ISBN|EAN|articleName|length|height|width|weight|assortmentName|assortmentIdentifier|deliveryForm|customsTariffNo|parentSupplierArticleNo|articleForm|immaterialUid|articleLanguage|supplierSalesCode|supplierArticleIdentifier|articleType|edition|packagingUnit|packagingUnitValue',
	null,
	'',
	sup.id,
	'Import_Standard_Basic_V10',
	FALSE,
	1,
	TRUE,
	PARENTID,
	FALSE,
	FALSE,
	'',
	2,
	'',
	FALSE,
	TRUE,
	sup.id,
	FALSE,
	null,
	FALSE,
	TRUE,
	null,
	null,
	null
from oms."SupplierDO" sup where "internalSupplierName" IN (
	'inTRONICS_florida_retailer');


------ End A ----------------------------------


------ Begin BCG --------------------------------


INSERT INTO product."ImportConfigurationDO"(
	id,
	"availabilityStoredProcedure",
	"copyStoredProcedure",
	"csvDelimiter",
	"csvHeader",
	"priceComparisonProviderDefRef",
	"storedProcedureGroup",
	"supplierRef",
	"tableNameGroup",
	"checkMissingInLastDatapack",
	"importDatapackFileTypeDefRef",
	"canDatapackBeEmpty",
	"parentImportConfigurationRef",
	"convertToCSV",
	"createContentAssignment",
	"internalMediaPath",
	"splitCount",
	"variationProcedure",
	"identifyOnBakeryArticleRef",
	"supplementArticleParent",
	"assortmentSupplier",
	"updateArticleType",
	"importBeanDefRef",
	"createSupplierAssortmentSystem",
	"createManufacturer",
	"financeControllerRef",
	"changeIdentificationOfArticle",
	"bonusPartnerRef")
	SELECT
	BCG_FILE,
	'process_availability_mapping_do_nothing',
	'',
	'''|''',
	'supplierArticleNo|currency|purchasePrice|listPrice|stockLevel|stockType|availabilityInDays|salesPrice|basicPrice|basicPriceUnitValue|basicPriceUnit|salesPriceOld|provisionType|provisionPercentage|taxType|isBestseller',
	null,
	'import_standard_bcg_v3',
	sup.id,
	'Import_Standard_Dynamic_V7',
	TRUE,
	13,
	TRUE,
	PARENTID,
	FALSE,
	FALSE,
	'',
	6,
	'',
	FALSE,
	TRUE,
	sup.id,
	FALSE,
	null,
	FALSE,
	FALSE,
	null,
	null,
	null
from oms."SupplierDO" sup where "internalSupplierName" IN (
	'inTRONICS_florida_retailer');
	
------ End BCG ----------------------------------


------ Begin N --------------------------------
INSERT INTO product."ImportConfigurationDO"(
	id,
	"availabilityStoredProcedure",
	"copyStoredProcedure",
	"csvDelimiter",
	"csvHeader",
	"priceComparisonProviderDefRef",
	"storedProcedureGroup",
	"supplierRef",
	"tableNameGroup",
	"checkMissingInLastDatapack",
	"importDatapackFileTypeDefRef",
	"canDatapackBeEmpty",
	"parentImportConfigurationRef",
	"convertToCSV",
	"createContentAssignment",
	"internalMediaPath",
	"splitCount",
	"variationProcedure",
	"identifyOnBakeryArticleRef",
	"supplementArticleParent",
	"assortmentSupplier",
	"updateArticleType",
	"importBeanDefRef",
	"createSupplierAssortmentSystem",
	"createManufacturer",
	"financeControllerRef",
	"changeIdentificationOfArticle",
	"bonusPartnerRef")
	SELECT
	N_FILE, 
	null ,
	'',
	'''|''',
	'supplierArticleNo|bakeryArticleNo|shopArticleNo',
	null,
	'import_standard_n_v4',
	sup.id,
	'Import_Standard_ShopArticleNo_V4',
	FALSE,
	39,
	FALSE,
	null,
	FALSE,
	FALSE,
	null,
	3,
	null,
	FALSE,
	FALSE,
	sup.id,
	FALSE,
	null,
	FALSE,
	FALSE,
	null,
	null,
	null

from oms."SupplierDO" sup where "internalSupplierName" IN (
	'inTRONICS_florida_retailer');

------ End N ----------------------------------

--#####################################################################################################################################################################################

PARENTID := 20;
A_FILE := 21;
BCG_FILE := 22;
N_FILE := 23;

--remove old configurations
DELETE from "ImportConfigurationDO" where id in (PARENTID,A_FILE,BCG_FILE,N_FILE);


--Zip datei
INSERT INTO product."ImportConfigurationDO"(
	id,
	"availabilityStoredProcedure",
	"copyStoredProcedure",
	"csvDelimiter",
	"csvHeader",
	"priceComparisonProviderDefRef",
	"storedProcedureGroup",
	"supplierRef",
	"tableNameGroup",
	"checkMissingInLastDatapack",
	"importDatapackFileTypeDefRef",
	"canDatapackBeEmpty",
	"parentImportConfigurationRef",
	"convertToCSV",
	"createContentAssignment",
	"internalMediaPath",
	"splitCount",
	"variationProcedure",
	"identifyOnBakeryArticleRef",
	"supplementArticleParent",
	"assortmentSupplier",
	"updateArticleType",
	"importBeanDefRef",
	"createSupplierAssortmentSystem",
	"createManufacturer",
	"financeControllerRef",
	"changeIdentificationOfArticle",
	"bonusPartnerRef")
	SELECT
	PARENTID,
	'process_availability_mapping_do_nothing' ,
	'',
	'''|''',
	'',
	null,
	'import_standard_abcg_v10',
	sup.id,
	'',
	FALSE,
	82,
	TRUE,
	null,
	TRUE,
	FALSE,
	'',
	2,
	'',
	FALSE,
	TRUE,
	sup.id,
	FALSE,
	2,
	FALSE,
	TRUE,
	null,
	null,
	null
from oms."SupplierDO" sup where "internalSupplierName" IN ('inTRONICS_florida_warehouse');

------ Begin A --------------------------------

INSERT INTO product."ImportConfigurationDO"(
	id,
	"availabilityStoredProcedure",
	"copyStoredProcedure",
	"csvDelimiter",
	"csvHeader",
	"priceComparisonProviderDefRef",
	"storedProcedureGroup",
	"supplierRef",
	"tableNameGroup",
	"checkMissingInLastDatapack",
	"importDatapackFileTypeDefRef",
	"canDatapackBeEmpty",
	"parentImportConfigurationRef",
	"convertToCSV",
	"createContentAssignment",
	"internalMediaPath",
	"splitCount",
	"variationProcedure",
	"identifyOnBakeryArticleRef",
	"supplementArticleParent",
	"assortmentSupplier",
	"updateArticleType",
	"importBeanDefRef",
	"createSupplierAssortmentSystem",
	"createManufacturer",
	"financeControllerRef",
	"changeIdentificationOfArticle",
	"bonusPartnerRef")
	SELECT
	A_FILE,
	null ,
	'',
	'''|''',
	'supplierArticleNo|manufacturer|manufacturerArticleNo|ISBN|EAN|articleName|length|height|width|weight|assortmentName|assortmentIdentifier|deliveryForm|customsTariffNo|parentSupplierArticleNo|articleForm|immaterialUid|articleLanguage|supplierSalesCode|supplierArticleIdentifier|articleType|edition|packagingUnit|packagingUnitValue',
	null,
	'',
	sup.id,
	'Import_Standard_Basic_V10',
	FALSE,
	1,
	TRUE,
	PARENTID,
	FALSE,
	FALSE,
	'',
	2,
	'',
	FALSE,
	TRUE,
	sup.id,
	FALSE,
	null,
	FALSE,
	TRUE,
	null,
	null,
	null
from oms."SupplierDO" sup where "internalSupplierName" IN (
	'inTRONICS_florida_warehouse');


------ End A ----------------------------------


------ Begin BCG --------------------------------


INSERT INTO product."ImportConfigurationDO"(
	id,
	"availabilityStoredProcedure",
	"copyStoredProcedure",
	"csvDelimiter",
	"csvHeader",
	"priceComparisonProviderDefRef",
	"storedProcedureGroup",
	"supplierRef",
	"tableNameGroup",
	"checkMissingInLastDatapack",
	"importDatapackFileTypeDefRef",
	"canDatapackBeEmpty",
	"parentImportConfigurationRef",
	"convertToCSV",
	"createContentAssignment",
	"internalMediaPath",
	"splitCount",
	"variationProcedure",
	"identifyOnBakeryArticleRef",
	"supplementArticleParent",
	"assortmentSupplier",
	"updateArticleType",
	"importBeanDefRef",
	"createSupplierAssortmentSystem",
	"createManufacturer",
	"financeControllerRef",
	"changeIdentificationOfArticle",
	"bonusPartnerRef")
	SELECT
	BCG_FILE,
	'process_availability_mapping_do_nothing',
	'',
	'''|''',
	'supplierArticleNo|currency|purchasePrice|listPrice|stockLevel|stockType|availabilityInDays|salesPrice|basicPrice|basicPriceUnitValue|basicPriceUnit|salesPriceOld|provisionType|provisionPercentage|taxType|isBestseller',
	null,
	'import_standard_bcg_v3',
	sup.id,
	'Import_Standard_Dynamic_V7',
	TRUE,
	13,
	TRUE,
	PARENTID,
	FALSE,
	FALSE,
	'',
	6,
	'',
	FALSE,
	TRUE,
	sup.id,
	FALSE,
	null,
	FALSE,
	FALSE,
	null,
	null,
	null
from oms."SupplierDO" sup where "internalSupplierName" IN (
	'inTRONICS_florida_warehouse');
	
------ End BCG ----------------------------------


------ Begin N --------------------------------
INSERT INTO product."ImportConfigurationDO"(
	id,
	"availabilityStoredProcedure",
	"copyStoredProcedure",
	"csvDelimiter",
	"csvHeader",
	"priceComparisonProviderDefRef",
	"storedProcedureGroup",
	"supplierRef",
	"tableNameGroup",
	"checkMissingInLastDatapack",
	"importDatapackFileTypeDefRef",
	"canDatapackBeEmpty",
	"parentImportConfigurationRef",
	"convertToCSV",
	"createContentAssignment",
	"internalMediaPath",
	"splitCount",
	"variationProcedure",
	"identifyOnBakeryArticleRef",
	"supplementArticleParent",
	"assortmentSupplier",
	"updateArticleType",
	"importBeanDefRef",
	"createSupplierAssortmentSystem",
	"createManufacturer",
	"financeControllerRef",
	"changeIdentificationOfArticle",
	"bonusPartnerRef")
	SELECT
	N_FILE, 
	null ,
	'',
	'''|''',
	'supplierArticleNo|bakeryArticleNo|shopArticleNo',
	null,
	'import_standard_n_v4',
	sup.id,
	'Import_Standard_ShopArticleNo_V4',
	FALSE,
	39,
	FALSE,
	null,
	FALSE,
	FALSE,
	null,
	3,
	null,
	FALSE,
	FALSE,
	sup.id,
	FALSE,
	null,
	FALSE,
	FALSE,
	null,
	null,
	null

from oms."SupplierDO" sup where "internalSupplierName" IN (
	'inTRONICS_florida_warehouse');

------ End N ----------------------------------

--#####################################################################################################################################################################################

PARENTID := 30;
A_FILE := 31;
BCG_FILE := 32;
N_FILE := 33;

--remove old configurations
DELETE from "ImportConfigurationDO" where id in (PARENTID,A_FILE,BCG_FILE,N_FILE);


--Zip datei
INSERT INTO product."ImportConfigurationDO"(
	id,
	"availabilityStoredProcedure",
	"copyStoredProcedure",
	"csvDelimiter",
	"csvHeader",
	"priceComparisonProviderDefRef",
	"storedProcedureGroup",
	"supplierRef",
	"tableNameGroup",
	"checkMissingInLastDatapack",
	"importDatapackFileTypeDefRef",
	"canDatapackBeEmpty",
	"parentImportConfigurationRef",
	"convertToCSV",
	"createContentAssignment",
	"internalMediaPath",
	"splitCount",
	"variationProcedure",
	"identifyOnBakeryArticleRef",
	"supplementArticleParent",
	"assortmentSupplier",
	"updateArticleType",
	"importBeanDefRef",
	"createSupplierAssortmentSystem",
	"createManufacturer",
	"financeControllerRef",
	"changeIdentificationOfArticle",
	"bonusPartnerRef")
	SELECT
	PARENTID,
	'process_availability_mapping_do_nothing' ,
	'',
	'''|''',
	'',
	null,
	'import_standard_abcg_v10',
	sup.id,
	'',
	FALSE,
	82,
	TRUE,
	null,
	TRUE,
	FALSE,
	'',
	2,
	'',
	FALSE,
	TRUE,
	sup.id,
	FALSE,
	2,
	FALSE,
	TRUE,
	null,
	null,
	null
from oms."SupplierDO" sup where "internalSupplierName" IN ('inTRONICS_california_warehouse');

------ Begin A --------------------------------

INSERT INTO product."ImportConfigurationDO"(
	id,
	"availabilityStoredProcedure",
	"copyStoredProcedure",
	"csvDelimiter",
	"csvHeader",
	"priceComparisonProviderDefRef",
	"storedProcedureGroup",
	"supplierRef",
	"tableNameGroup",
	"checkMissingInLastDatapack",
	"importDatapackFileTypeDefRef",
	"canDatapackBeEmpty",
	"parentImportConfigurationRef",
	"convertToCSV",
	"createContentAssignment",
	"internalMediaPath",
	"splitCount",
	"variationProcedure",
	"identifyOnBakeryArticleRef",
	"supplementArticleParent",
	"assortmentSupplier",
	"updateArticleType",
	"importBeanDefRef",
	"createSupplierAssortmentSystem",
	"createManufacturer",
	"financeControllerRef",
	"changeIdentificationOfArticle",
	"bonusPartnerRef")
	SELECT
	A_FILE,
	null ,
	'',
	'''|''',
	'supplierArticleNo|manufacturer|manufacturerArticleNo|ISBN|EAN|articleName|length|height|width|weight|assortmentName|assortmentIdentifier|deliveryForm|customsTariffNo|parentSupplierArticleNo|articleForm|immaterialUid|articleLanguage|supplierSalesCode|supplierArticleIdentifier|articleType|edition|packagingUnit|packagingUnitValue',
	null,
	'',
	sup.id,
	'Import_Standard_Basic_V10',
	FALSE,
	1,
	TRUE,
	PARENTID,
	FALSE,
	FALSE,
	'',
	2,
	'',
	FALSE,
	TRUE,
	sup.id,
	FALSE,
	null,
	FALSE,
	TRUE,
	null,
	null,
	null
from oms."SupplierDO" sup where "internalSupplierName" IN (
	'inTRONICS_california_warehouse');


------ End A ----------------------------------


------ Begin BCG --------------------------------


INSERT INTO product."ImportConfigurationDO"(
	id,
	"availabilityStoredProcedure",
	"copyStoredProcedure",
	"csvDelimiter",
	"csvHeader",
	"priceComparisonProviderDefRef",
	"storedProcedureGroup",
	"supplierRef",
	"tableNameGroup",
	"checkMissingInLastDatapack",
	"importDatapackFileTypeDefRef",
	"canDatapackBeEmpty",
	"parentImportConfigurationRef",
	"convertToCSV",
	"createContentAssignment",
	"internalMediaPath",
	"splitCount",
	"variationProcedure",
	"identifyOnBakeryArticleRef",
	"supplementArticleParent",
	"assortmentSupplier",
	"updateArticleType",
	"importBeanDefRef",
	"createSupplierAssortmentSystem",
	"createManufacturer",
	"financeControllerRef",
	"changeIdentificationOfArticle",
	"bonusPartnerRef")
	SELECT
	BCG_FILE,
	'process_availability_mapping_do_nothing',
	'',
	'''|''',
	'supplierArticleNo|currency|purchasePrice|listPrice|stockLevel|stockType|availabilityInDays|salesPrice|basicPrice|basicPriceUnitValue|basicPriceUnit|salesPriceOld|provisionType|provisionPercentage|taxType|isBestseller',
	null,
	'import_standard_bcg_v3',
	sup.id,
	'Import_Standard_Dynamic_V7',
	TRUE,
	13,
	TRUE,
	PARENTID,
	FALSE,
	FALSE,
	'',
	6,
	'',
	FALSE,
	TRUE,
	sup.id,
	FALSE,
	null,
	FALSE,
	FALSE,
	null,
	null,
	null
from oms."SupplierDO" sup where "internalSupplierName" IN (
	'inTRONICS_california_warehouse');
	
------ End BCG ----------------------------------


------ Begin N --------------------------------
INSERT INTO product."ImportConfigurationDO"(
	id,
	"availabilityStoredProcedure",
	"copyStoredProcedure",
	"csvDelimiter",
	"csvHeader",
	"priceComparisonProviderDefRef",
	"storedProcedureGroup",
	"supplierRef",
	"tableNameGroup",
	"checkMissingInLastDatapack",
	"importDatapackFileTypeDefRef",
	"canDatapackBeEmpty",
	"parentImportConfigurationRef",
	"convertToCSV",
	"createContentAssignment",
	"internalMediaPath",
	"splitCount",
	"variationProcedure",
	"identifyOnBakeryArticleRef",
	"supplementArticleParent",
	"assortmentSupplier",
	"updateArticleType",
	"importBeanDefRef",
	"createSupplierAssortmentSystem",
	"createManufacturer",
	"financeControllerRef",
	"changeIdentificationOfArticle",
	"bonusPartnerRef")
	SELECT
	N_FILE, 
	null ,
	'',
	'''|''',
	'supplierArticleNo|bakeryArticleNo|shopArticleNo',
	null,
	'import_standard_n_v4',
	sup.id,
	'Import_Standard_ShopArticleNo_V4',
	FALSE,
	39,
	FALSE,
	null,
	FALSE,
	FALSE,
	null,
	3,
	null,
	FALSE,
	FALSE,
	sup.id,
	FALSE,
	null,
	FALSE,
	FALSE,
	null,
	null,
	null

from oms."SupplierDO" sup where "internalSupplierName" IN (
	'inTRONICS_california_warehouse');

------ End N ----------------------------------
--#####################################################################################################################################################################################

PARENTID := 40;
A_FILE := 41;
BCG_FILE := 42;
N_FILE := 43;

--remove old configurations
DELETE from "ImportConfigurationDO" where id in (PARENTID,A_FILE,BCG_FILE,N_FILE);


--Zip datei
INSERT INTO product."ImportConfigurationDO"(
	id,
	"availabilityStoredProcedure",
	"copyStoredProcedure",
	"csvDelimiter",
	"csvHeader",
	"priceComparisonProviderDefRef",
	"storedProcedureGroup",
	"supplierRef",
	"tableNameGroup",
	"checkMissingInLastDatapack",
	"importDatapackFileTypeDefRef",
	"canDatapackBeEmpty",
	"parentImportConfigurationRef",
	"convertToCSV",
	"createContentAssignment",
	"internalMediaPath",
	"splitCount",
	"variationProcedure",
	"identifyOnBakeryArticleRef",
	"supplementArticleParent",
	"assortmentSupplier",
	"updateArticleType",
	"importBeanDefRef",
	"createSupplierAssortmentSystem",
	"createManufacturer",
	"financeControllerRef",
	"changeIdentificationOfArticle",
	"bonusPartnerRef")
	SELECT
	PARENTID,
	'process_availability_mapping_do_nothing' ,
	'',
	'''|''',
	'',
	null,
	'import_standard_abcg_v10',
	sup.id,
	'',
	FALSE,
	82,
	TRUE,
	null,
	TRUE,
	FALSE,
	'',
	2,
	'',
	FALSE,
	TRUE,
	sup.id,
	FALSE,
	2,
	FALSE,
	TRUE,
	null,
	null,
	null
from oms."SupplierDO" sup where "internalSupplierName" IN ('inTRONICS_california_retailer');

------ Begin A --------------------------------

INSERT INTO product."ImportConfigurationDO"(
	id,
	"availabilityStoredProcedure",
	"copyStoredProcedure",
	"csvDelimiter",
	"csvHeader",
	"priceComparisonProviderDefRef",
	"storedProcedureGroup",
	"supplierRef",
	"tableNameGroup",
	"checkMissingInLastDatapack",
	"importDatapackFileTypeDefRef",
	"canDatapackBeEmpty",
	"parentImportConfigurationRef",
	"convertToCSV",
	"createContentAssignment",
	"internalMediaPath",
	"splitCount",
	"variationProcedure",
	"identifyOnBakeryArticleRef",
	"supplementArticleParent",
	"assortmentSupplier",
	"updateArticleType",
	"importBeanDefRef",
	"createSupplierAssortmentSystem",
	"createManufacturer",
	"financeControllerRef",
	"changeIdentificationOfArticle",
	"bonusPartnerRef")
	SELECT
	A_FILE,
	null ,
	'',
	'''|''',
	'supplierArticleNo|manufacturer|manufacturerArticleNo|ISBN|EAN|articleName|length|height|width|weight|assortmentName|assortmentIdentifier|deliveryForm|customsTariffNo|parentSupplierArticleNo|articleForm|immaterialUid|articleLanguage|supplierSalesCode|supplierArticleIdentifier|articleType|edition|packagingUnit|packagingUnitValue',
	null,
	'',
	sup.id,
	'Import_Standard_Basic_V10',
	FALSE,
	1,
	TRUE,
	PARENTID,
	FALSE,
	FALSE,
	'',
	2,
	'',
	FALSE,
	TRUE,
	sup.id,
	FALSE,
	null,
	FALSE,
	TRUE,
	null,
	null,
	null
from oms."SupplierDO" sup where "internalSupplierName" IN (
		'inTRONICS_california_retailer');


------ End A ----------------------------------


------ Begin BCG --------------------------------


INSERT INTO product."ImportConfigurationDO"(
	id,
	"availabilityStoredProcedure",
	"copyStoredProcedure",
	"csvDelimiter",
	"csvHeader",
	"priceComparisonProviderDefRef",
	"storedProcedureGroup",
	"supplierRef",
	"tableNameGroup",
	"checkMissingInLastDatapack",
	"importDatapackFileTypeDefRef",
	"canDatapackBeEmpty",
	"parentImportConfigurationRef",
	"convertToCSV",
	"createContentAssignment",
	"internalMediaPath",
	"splitCount",
	"variationProcedure",
	"identifyOnBakeryArticleRef",
	"supplementArticleParent",
	"assortmentSupplier",
	"updateArticleType",
	"importBeanDefRef",
	"createSupplierAssortmentSystem",
	"createManufacturer",
	"financeControllerRef",
	"changeIdentificationOfArticle",
	"bonusPartnerRef")
	SELECT
	BCG_FILE,
	'process_availability_mapping_do_nothing',
	'',
	'''|''',
	'supplierArticleNo|currency|purchasePrice|listPrice|stockLevel|stockType|availabilityInDays|salesPrice|basicPrice|basicPriceUnitValue|basicPriceUnit|salesPriceOld|provisionType|provisionPercentage|taxType|isBestseller',
	null,
	'import_standard_bcg_v3',
	sup.id,
	'Import_Standard_Dynamic_V7',
	TRUE,
	13,
	TRUE,
	PARENTID,
	FALSE,
	FALSE,
	'',
	6,
	'',
	FALSE,
	TRUE,
	sup.id,
	FALSE,
	null,
	FALSE,
	FALSE,
	null,
	null,
	null
from oms."SupplierDO" sup where "internalSupplierName" IN (
	'inTRONICS_california_retailer');
	
------ End BCG ----------------------------------


------ Begin N --------------------------------
INSERT INTO product."ImportConfigurationDO"(
	id,
	"availabilityStoredProcedure",
	"copyStoredProcedure",
	"csvDelimiter",
	"csvHeader",
	"priceComparisonProviderDefRef",
	"storedProcedureGroup",
	"supplierRef",
	"tableNameGroup",
	"checkMissingInLastDatapack",
	"importDatapackFileTypeDefRef",
	"canDatapackBeEmpty",
	"parentImportConfigurationRef",
	"convertToCSV",
	"createContentAssignment",
	"internalMediaPath",
	"splitCount",
	"variationProcedure",
	"identifyOnBakeryArticleRef",
	"supplementArticleParent",
	"assortmentSupplier",
	"updateArticleType",
	"importBeanDefRef",
	"createSupplierAssortmentSystem",
	"createManufacturer",
	"financeControllerRef",
	"changeIdentificationOfArticle",
	"bonusPartnerRef")
	SELECT
	N_FILE, 
	null ,
	'',
	'''|''',
	'supplierArticleNo|bakeryArticleNo|shopArticleNo',
	null,
	'import_standard_n_v4',
	sup.id,
	'Import_Standard_ShopArticleNo_V4',
	FALSE,
	39,
	FALSE,
	null,
	FALSE,
	FALSE,
	null,
	3,
	null,
	FALSE,
	FALSE,
	sup.id,
	FALSE,
	null,
	FALSE,
	FALSE,
	null,
	null,
	null

from oms."SupplierDO" sup where "internalSupplierName" IN (
	'inTRONICS_california_retailer');

------ End N ----------------------------------
--#####################################################################################################################################################################################

PARENTID := 50;
A_FILE := 51;
BCG_FILE := 52;
N_FILE := 53;

--remove old configurations
DELETE from "ImportConfigurationDO" where id in (PARENTID,A_FILE,BCG_FILE,N_FILE);


--Zip datei
INSERT INTO product."ImportConfigurationDO"(
	id,
	"availabilityStoredProcedure",
	"copyStoredProcedure",
	"csvDelimiter",
	"csvHeader",
	"priceComparisonProviderDefRef",
	"storedProcedureGroup",
	"supplierRef",
	"tableNameGroup",
	"checkMissingInLastDatapack",
	"importDatapackFileTypeDefRef",
	"canDatapackBeEmpty",
	"parentImportConfigurationRef",
	"convertToCSV",
	"createContentAssignment",
	"internalMediaPath",
	"splitCount",
	"variationProcedure",
	"identifyOnBakeryArticleRef",
	"supplementArticleParent",
	"assortmentSupplier",
	"updateArticleType",
	"importBeanDefRef",
	"createSupplierAssortmentSystem",
	"createManufacturer",
	"financeControllerRef",
	"changeIdentificationOfArticle",
	"bonusPartnerRef")
	SELECT
	PARENTID,
	'process_availability_mapping_do_nothing' ,
	'',
	'''|''',
	'',
	null,
	'import_standard_abcg_v10',
	sup.id,
	'',
	FALSE,
	82,
	TRUE,
	null,
	TRUE,
	FALSE,
	'',
	2,
	'',
	FALSE,
	TRUE,
	sup.id,
	FALSE,
	2,
	FALSE,
	TRUE,
	null,
	null,
	null
from oms."SupplierDO" sup where "internalSupplierName" IN ('inTRONICS_texas_warehouse');

------ Begin A --------------------------------

INSERT INTO product."ImportConfigurationDO"(
	id,
	"availabilityStoredProcedure",
	"copyStoredProcedure",
	"csvDelimiter",
	"csvHeader",
	"priceComparisonProviderDefRef",
	"storedProcedureGroup",
	"supplierRef",
	"tableNameGroup",
	"checkMissingInLastDatapack",
	"importDatapackFileTypeDefRef",
	"canDatapackBeEmpty",
	"parentImportConfigurationRef",
	"convertToCSV",
	"createContentAssignment",
	"internalMediaPath",
	"splitCount",
	"variationProcedure",
	"identifyOnBakeryArticleRef",
	"supplementArticleParent",
	"assortmentSupplier",
	"updateArticleType",
	"importBeanDefRef",
	"createSupplierAssortmentSystem",
	"createManufacturer",
	"financeControllerRef",
	"changeIdentificationOfArticle",
	"bonusPartnerRef")
	SELECT
	A_FILE,
	null ,
	'',
	'''|''',
	'supplierArticleNo|manufacturer|manufacturerArticleNo|ISBN|EAN|articleName|length|height|width|weight|assortmentName|assortmentIdentifier|deliveryForm|customsTariffNo|parentSupplierArticleNo|articleForm|immaterialUid|articleLanguage|supplierSalesCode|supplierArticleIdentifier|articleType|edition|packagingUnit|packagingUnitValue',
	null,
	'',
	sup.id,
	'Import_Standard_Basic_V10',
	FALSE,
	1,
	TRUE,
	PARENTID,
	FALSE,
	FALSE,
	'',
	2,
	'',
	FALSE,
	TRUE,
	sup.id,
	FALSE,
	null,
	FALSE,
	TRUE,
	null,
	null,
	null
from oms."SupplierDO" sup where "internalSupplierName" IN (
	'inTRONICS_texas_warehouse');


------ End A ----------------------------------


------ Begin BCG --------------------------------


INSERT INTO product."ImportConfigurationDO"(
	id,
	"availabilityStoredProcedure",
	"copyStoredProcedure",
	"csvDelimiter",
	"csvHeader",
	"priceComparisonProviderDefRef",
	"storedProcedureGroup",
	"supplierRef",
	"tableNameGroup",
	"checkMissingInLastDatapack",
	"importDatapackFileTypeDefRef",
	"canDatapackBeEmpty",
	"parentImportConfigurationRef",
	"convertToCSV",
	"createContentAssignment",
	"internalMediaPath",
	"splitCount",
	"variationProcedure",
	"identifyOnBakeryArticleRef",
	"supplementArticleParent",
	"assortmentSupplier",
	"updateArticleType",
	"importBeanDefRef",
	"createSupplierAssortmentSystem",
	"createManufacturer",
	"financeControllerRef",
	"changeIdentificationOfArticle",
	"bonusPartnerRef")
	SELECT
	BCG_FILE,
	'process_availability_mapping_do_nothing',
	'',
	'''|''',
	'supplierArticleNo|currency|purchasePrice|listPrice|stockLevel|stockType|availabilityInDays|salesPrice|basicPrice|basicPriceUnitValue|basicPriceUnit|salesPriceOld|provisionType|provisionPercentage|taxType|isBestseller',
	null,
	'import_standard_bcg_v3',
	sup.id,
	'Import_Standard_Dynamic_V7',
	TRUE,
	13,
	TRUE,
	PARENTID,
	FALSE,
	FALSE,
	'',
	6,
	'',
	FALSE,
	TRUE,
	sup.id,
	FALSE,
	null,
	FALSE,
	FALSE,
	null,
	null,
	null
from oms."SupplierDO" sup where "internalSupplierName" IN (
	'inTRONICS_texas_warehouse');
	
------ End BCG ----------------------------------


------ Begin N --------------------------------
INSERT INTO product."ImportConfigurationDO"(
	id,
	"availabilityStoredProcedure",
	"copyStoredProcedure",
	"csvDelimiter",
	"csvHeader",
	"priceComparisonProviderDefRef",
	"storedProcedureGroup",
	"supplierRef",
	"tableNameGroup",
	"checkMissingInLastDatapack",
	"importDatapackFileTypeDefRef",
	"canDatapackBeEmpty",
	"parentImportConfigurationRef",
	"convertToCSV",
	"createContentAssignment",
	"internalMediaPath",
	"splitCount",
	"variationProcedure",
	"identifyOnBakeryArticleRef",
	"supplementArticleParent",
	"assortmentSupplier",
	"updateArticleType",
	"importBeanDefRef",
	"createSupplierAssortmentSystem",
	"createManufacturer",
	"financeControllerRef",
	"changeIdentificationOfArticle",
	"bonusPartnerRef")
	SELECT
	N_FILE, 
	null ,
	'',
	'''|''',
	'supplierArticleNo|bakeryArticleNo|shopArticleNo',
	null,
	'import_standard_n_v4',
	sup.id,
	'Import_Standard_ShopArticleNo_V4',
	FALSE,
	39,
	FALSE,
	null,
	FALSE,
	FALSE,
	null,
	3,
	null,
	FALSE,
	FALSE,
	sup.id,
	FALSE,
	null,
	FALSE,
	FALSE,
	null,
	null,
	null

from oms."SupplierDO" sup where "internalSupplierName" IN (
	'inTRONICS_texas_warehouse');

------ End N ----------------------------------
--#####################################################################################################################################################################################

PARENTID := 60;
A_FILE := 61;
BCG_FILE := 62;
N_FILE := 63;

--remove old configurations
DELETE from "ImportConfigurationDO" where id in (PARENTID,A_FILE,BCG_FILE,N_FILE);


--Zip datei
INSERT INTO product."ImportConfigurationDO"(
	id,
	"availabilityStoredProcedure",
	"copyStoredProcedure",
	"csvDelimiter",
	"csvHeader",
	"priceComparisonProviderDefRef",
	"storedProcedureGroup",
	"supplierRef",
	"tableNameGroup",
	"checkMissingInLastDatapack",
	"importDatapackFileTypeDefRef",
	"canDatapackBeEmpty",
	"parentImportConfigurationRef",
	"convertToCSV",
	"createContentAssignment",
	"internalMediaPath",
	"splitCount",
	"variationProcedure",
	"identifyOnBakeryArticleRef",
	"supplementArticleParent",
	"assortmentSupplier",
	"updateArticleType",
	"importBeanDefRef",
	"createSupplierAssortmentSystem",
	"createManufacturer",
	"financeControllerRef",
	"changeIdentificationOfArticle",
	"bonusPartnerRef")
	SELECT
	PARENTID,
	'process_availability_mapping_do_nothing' ,
	'',
	'''|''',
	'',
	null,
	'import_standard_abcg_v10',
	sup.id,
	'',
	FALSE,
	82,
	TRUE,
	null,
	TRUE,
	FALSE,
	'',
	2,
	'',
	FALSE,
	TRUE,
	sup.id,
	FALSE,
	2,
	FALSE,
	TRUE,
	null,
	null,
	null
from oms."SupplierDO" sup where "internalSupplierName" IN ('inTRONICS_texas_retailer');

------ Begin A --------------------------------

INSERT INTO product."ImportConfigurationDO"(
	id,
	"availabilityStoredProcedure",
	"copyStoredProcedure",
	"csvDelimiter",
	"csvHeader",
	"priceComparisonProviderDefRef",
	"storedProcedureGroup",
	"supplierRef",
	"tableNameGroup",
	"checkMissingInLastDatapack",
	"importDatapackFileTypeDefRef",
	"canDatapackBeEmpty",
	"parentImportConfigurationRef",
	"convertToCSV",
	"createContentAssignment",
	"internalMediaPath",
	"splitCount",
	"variationProcedure",
	"identifyOnBakeryArticleRef",
	"supplementArticleParent",
	"assortmentSupplier",
	"updateArticleType",
	"importBeanDefRef",
	"createSupplierAssortmentSystem",
	"createManufacturer",
	"financeControllerRef",
	"changeIdentificationOfArticle",
	"bonusPartnerRef")
	SELECT
	A_FILE,
	null ,
	'',
	'''|''',
	'supplierArticleNo|manufacturer|manufacturerArticleNo|ISBN|EAN|articleName|length|height|width|weight|assortmentName|assortmentIdentifier|deliveryForm|customsTariffNo|parentSupplierArticleNo|articleForm|immaterialUid|articleLanguage|supplierSalesCode|supplierArticleIdentifier|articleType|edition|packagingUnit|packagingUnitValue',
	null,
	'',
	sup.id,
	'Import_Standard_Basic_V10',
	FALSE,
	1,
	TRUE,
	PARENTID,
	FALSE,
	FALSE,
	'',
	2,
	'',
	FALSE,
	TRUE,
	sup.id,
	FALSE,
	null,
	FALSE,
	TRUE,
	null,
	null,
	null
from oms."SupplierDO" sup where "internalSupplierName" IN ('inTRONICS_texas_retailer');


------ End A ----------------------------------


------ Begin BCG --------------------------------


INSERT INTO product."ImportConfigurationDO"(
	id,
	"availabilityStoredProcedure",
	"copyStoredProcedure",
	"csvDelimiter",
	"csvHeader",
	"priceComparisonProviderDefRef",
	"storedProcedureGroup",
	"supplierRef",
	"tableNameGroup",
	"checkMissingInLastDatapack",
	"importDatapackFileTypeDefRef",
	"canDatapackBeEmpty",
	"parentImportConfigurationRef",
	"convertToCSV",
	"createContentAssignment",
	"internalMediaPath",
	"splitCount",
	"variationProcedure",
	"identifyOnBakeryArticleRef",
	"supplementArticleParent",
	"assortmentSupplier",
	"updateArticleType",
	"importBeanDefRef",
	"createSupplierAssortmentSystem",
	"createManufacturer",
	"financeControllerRef",
	"changeIdentificationOfArticle",
	"bonusPartnerRef")
	SELECT
	BCG_FILE,
	'process_availability_mapping_do_nothing',
	'',
	'''|''',
	'supplierArticleNo|currency|purchasePrice|listPrice|stockLevel|stockType|availabilityInDays|salesPrice|basicPrice|basicPriceUnitValue|basicPriceUnit|salesPriceOld|provisionType|provisionPercentage|taxType|isBestseller',
	null,
	'import_standard_bcg_v3',
	sup.id,
	'Import_Standard_Dynamic_V7',
	TRUE,
	13,
	TRUE,
	PARENTID,
	FALSE,
	FALSE,
	'',
	6,
	'',
	FALSE,
	TRUE,
	sup.id,
	FALSE,
	null,
	FALSE,
	FALSE,
	null,
	null,
	null
from oms."SupplierDO" sup where "internalSupplierName" IN ('inTRONICS_texas_retailer');
	
------ End BCG ----------------------------------


------ Begin N --------------------------------
INSERT INTO product."ImportConfigurationDO"(
	id,
	"availabilityStoredProcedure",
	"copyStoredProcedure",
	"csvDelimiter",
	"csvHeader",
	"priceComparisonProviderDefRef",
	"storedProcedureGroup",
	"supplierRef",
	"tableNameGroup",
	"checkMissingInLastDatapack",
	"importDatapackFileTypeDefRef",
	"canDatapackBeEmpty",
	"parentImportConfigurationRef",
	"convertToCSV",
	"createContentAssignment",
	"internalMediaPath",
	"splitCount",
	"variationProcedure",
	"identifyOnBakeryArticleRef",
	"supplementArticleParent",
	"assortmentSupplier",
	"updateArticleType",
	"importBeanDefRef",
	"createSupplierAssortmentSystem",
	"createManufacturer",
	"financeControllerRef",
	"changeIdentificationOfArticle",
	"bonusPartnerRef")
	SELECT
	N_FILE, 
	null ,
	'',
	'''|''',
	'supplierArticleNo|bakeryArticleNo|shopArticleNo',
	null,
	'import_standard_n_v4',
	sup.id,
	'Import_Standard_ShopArticleNo_V4',
	FALSE,
	39,
	FALSE,
	null,
	FALSE,
	FALSE,
	null,
	3,
	null,
	FALSE,
	FALSE,
	sup.id,
	FALSE,
	null,
	FALSE,
	FALSE,
	null,
	null,
	null

from oms."SupplierDO" sup where "internalSupplierName" IN ('inTRONICS_texas_retailer');

------ End N ----------------------------------


END;
$$;
