<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0" xmlns:bak="http://types.theberlinbakery.com/v1_0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:fn="http://www.w3.org/2005/xpath-functions">
	<xsl:output method="text" version="1.0" encoding="UTF-8"  media-type="text/plain"/>

		<xsl:variable name="BR">
			<xsl:text>&#xA;</xsl:text>
		</xsl:variable>
		<xsl:variable name="CONTROL_URL">
			<xsl:text>https://control.theberlinbakery.com/omt/</xsl:text>
		</xsl:variable>
		<xsl:variable name="IS_VD" select="false()" />
		<xsl:variable name="SUPPORTS_PARTLY_RECALL" select="false()" />

	<xsl:template match="/">
		<xsl:apply-templates select="*|@*"/>
	</xsl:template>
	
	<xsl:template match="bak:ShopOrderInfo">
		<xsl:text>Stornoanfrage / Bestell-Nr: </xsl:text>
		<xsl:value-of select="@orderId" />
		<xsl:text> / Grund: </xsl:text>
		<xsl:value-of select="bak:Properties[@id='recall']/bak:Property[@key='returnReason']/@value" />
		<xsl:text> (</xsl:text>
		<xsl:value-of select="bak:Properties[@id='recall']/bak:Property[@key='returnReasonText']/@value" />
		<xsl:text>) / </xsl:text>
		<xsl:value-of select="bak:Shop/bak:Name" />
		<xsl:value-of select="$BR" />
		<xsl:value-of select="$BR" />
		<xsl:text>Sehr geehrter Geschäftspartner,</xsl:text>
		<xsl:value-of select="$BR" />
		<xsl:value-of select="$BR" />
		<xsl:text>bitte stornieren Sie die folgenden Artikel aus o.g. Bestellung:</xsl:text>
		<xsl:value-of select="$BR" />
		<xsl:value-of select="$BR" />
		<!-- Artikel -->
		<xsl:for-each select="bak:Article">
			<xsl:value-of select="@quantity" />
			<xsl:text> Stück Art.Nr. </xsl:text>
			<xsl:value-of select="@id" />
			<xsl:text> </xsl:text>
			<xsl:value-of select="@name" />
			<xsl:value-of select="$BR" />
		</xsl:for-each>
		<xsl:value-of select="$BR" />
		<!-- Retourengrund -->
		<xsl:text>Die Stornierung erfolgt aus folgendem Grund: </xsl:text>
		<xsl:value-of select="bak:Properties[@id='recall']/bak:Property[@key='returnReason']/@value" />
		<xsl:text> (</xsl:text>
		<xsl:value-of select="bak:Properties[@id='recall']/bak:Property[@key='returnReasonText']/@value" />
		<xsl:text>), </xsl:text>
		<xsl:value-of select="$BR" />
		
		<xsl:if test="bak:Properties[@id='recall']/bak:Property[@key='returnReasonComment']/@value">
			<xsl:text>mit dem folgenden Kommentar: </xsl:text>
			<xsl:value-of select="bak:Properties[@id='recall']/bak:Property[@key='returnReasonComment']/@value" />
			<xsl:value-of select="$BR" />
		</xsl:if>
		
		<xsl:value-of select="$BR" />
		<!-- Nachnahme-Fall-->
		<xsl:if test="$SUPPORTS_PARTLY_RECALL=true() and bak:Properties[@id='payment']/bak:Property[@key='method']/@value='CASH_ON_DELIVERY'">
			<xsl:text>Bitte beachten Sie bei Nachnahmebestellungen, dass sich die Stornierung einzelner Artikel auf den Gesamtbetrag auswirkt. In diesem Fall passen Sie bitte den reduzierten Gesamtbetrag in Ihrem System an, damit vom Kunden der korrekte Nachnahmebetrag eingezogen werden kann.</xsl:text>
			<xsl:value-of select="$BR" />
			<xsl:value-of select="$BR" />
		</xsl:if>
		<xsl:text>Im Sinne einer hohen Kundenzufriedenheit bitten wir um eine zeitnahe Bearbeitung. </xsl:text>
		<xsl:choose>
			<xsl:when test="$IS_VD=true()"><!-- VD-Fall -->
				<xsl:text>Bitte erfassen Sie das Ergebnis der Stornierung im "Order Management Tool".</xsl:text>
				<xsl:value-of select="$BR" />
				<xsl:value-of select="$BR" />
				<xsl:text>Bitte verwenden Sie die folgende Adresse: </xsl:text>
				<xsl:value-of select="$CONTROL_URL" />
				<xsl:value-of select="$BR" />
				<xsl:value-of select="$BR" />
				<xsl:text>Im Fall von technischen Problemen mit dem "Order Management Tool" wenden Sie sich bitte an folgende Kontaktdaten bei TheBakery GmbH.</xsl:text>
				<xsl:value-of select="$BR" />
				<xsl:text>Tel. 030-2888588-35 / logistic@theberlinbakery.com </xsl:text>
			</xsl:when>
			<xsl:otherwise>
				<xsl:text>Bitte übermitteln Sie uns systemseitig das Ergebnis der Stornierung.</xsl:text>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:value-of select="$BR" />
		<xsl:value-of select="$BR" />
		<xsl:text>Bitte antworten Sie nicht auf diese Nachricht, da sie automatisch generiert wurde.</xsl:text>
		<xsl:value-of select="$BR" />
		<xsl:value-of select="$BR" />
		<xsl:text>Mit freundlichen Grüßen</xsl:text>
		<xsl:value-of select="$BR" />
		<xsl:for-each select="bak:Shop/bak:AddressLine">
			<xsl:value-of select="." />
			<xsl:value-of select="$BR" />
		</xsl:for-each>
	</xsl:template>

<!--
Stornoanfrage / Bestell-Nr:12345 / Retourengrund / Shop

Sehr geehrter Geschäftspartner,

bitte stornieren Sie die folgenden Artikel aus o.g. Bestellung:

1 Stück Art.Nr.12345 Digitalkamera

Die Stornierung erfolgt aus folgendem Grund: [Stornierungsgrund],
mit dem folgenden Kommentar: [Kommentar]

[NUR NACHNAHME]Bitte beachten Sie bei Nachnahmebestellungen, dass sich die Stornierung einzelner Artikel auf den Gesamtbetrag auswirkt. In diesem Fall passen Sie bitte den reduzierten Gesamtbetrag in Ihrem System an, damit vom Kunden der korrekte Nachnahmebetrag eingezogen werden kann.

[ENDE]Im Sinne einer hohen Kundenzufriedenheit bitten wir um eine zeitnahe Bearbeitung. [NUR SYSTEM]Bitte übermitteln Sie uns systemseitig das Ergebnis der Stornierung.[ENDE] [NUR VD] Bitte erfassen Sie das Ergebnis der Stornierung im "Order Management Tool"

[NUR VD] Bitte verwenden Sie die folgende Adresse: https://control.theberlinbakery.com//bakery.omt/app/start

[NUR VD] Im Fall von technischen Problemen mit dem "Order Management Tool" wenden Sie sich bitte an folgende Kontaktdaten bei TheBakery GmbH.
Tel. 030-2888588-35 / logistic@theberlinbakery.com 

Bitte antworten Sie nicht auf diese Nachricht, da sie automatisch generiert wurde.

Mit freundlichen Grüßen
Kontaktdaten Shopbetreiber
 -->

</xsl:stylesheet>
